gtkmm: Gtk::AboutDialog Class Reference

gtkmm 4.10.0

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::AboutDialog Class Reference
Dialogs

The AboutDialog offers a simple way to display information about a program like its logo, name, copyright, website and license. More...

`#include <gtkmm/aboutdialog.h>`

Inheritance diagram for Gtk::AboutDialog:
[legend]

## Public Member Functions
| AboutDialog (AboutDialog && src) noexcept
AboutDialog & | operator= (AboutDialog && src) noexcept
| AboutDialog (const AboutDialog &)=delete
AboutDialog & | operator= (const AboutDialog &)=delete
| ~AboutDialog () noexcept override
GtkAboutDialog * | gobj ()
| Provides access to the underlying C GObject.
const GtkAboutDialog * | gobj () const
| Provides access to the underlying C GObject.
| AboutDialog ()
| AboutDialog (bool use_header_bar)
| Constructor.
Glib::ustring | get_program_name () const
| Returns the program name displayed in the about dialog.
void | set_program_name (const Glib::ustring & name)
| Sets the name to display in the about dialog.
Glib::ustring | get_version () const
| Returns the version string.
void | set_version (const Glib::ustring & version)
| Sets the version string to display in the about dialog.
Glib::ustring | get_copyright () const
| Returns the copyright string.
void | set_copyright (const Glib::ustring & copyright)
| Sets the copyright string to display in the about dialog.
Glib::ustring | get_comments () const
| Returns the comments string.
void | set_comments (const Glib::ustring & comments)
| Sets the comments string to display in the about dialog.
Glib::ustring | get_license () const
| Returns the license information.
void | set_license (const Glib::ustring & license)
| Sets the license information to be displayed in the secondary license dialog.
License | get_license_type () const
| Retrieves the license type.
void | set_license_type (License license_type)
| Sets the license of the application showing the about dialog from a list of known licenses.
Glib::ustring | get_system_information () const
| Returns the system information that is shown in the about dialog.
void | set_system_information (const Glib::ustring & system_information)
| Sets the system information to be displayed in the about dialog.
Glib::ustring | get_website () const
| Returns the website URL.
void | set_website (const Glib::ustring & website)
| Sets the URL to use for the website link.
Glib::ustring | get_website_label () const
| Returns the label used for the website link.
void | set_website_label (const Glib::ustring & website_label)
| Sets the label to be used for the website link.
std::vector< Glib::ustring > | get_authors () const
| Returns the names of the authors which are displayed in the credits page.
void | set_authors (const std::vector< Glib::ustring > & authors) const
| Sets the names of the authors which are displayed in the "Credits" page of the about dialog.
std::vector< Glib::ustring > | get_documenters () const
| Returns the name of the documenters which are displayed in the credits page.
void | set_documenters (const std::vector< Glib::ustring > & documenters)
| Sets the names of the documenters which are displayed in the "Credits" page.
std::vector< Glib::ustring > | get_artists () const
| Returns the names of the artists which are displayed in the credits page.
void | set_artists (const std::vector< Glib::ustring > & artists)
| Sets the names of the artists to be displayed in the "Credits" page.
Glib::ustring | get_translator_credits () const
| Returns the translator credits string which is displayed in the credits page.
void | set_translator_credits (const Glib::ustring & translator_credits)
| Sets the translator credits string which is displayed in the credits page.
Glib::RefPtr< Gdk::Paintable > | get_logo ()
| Returns the paintable displayed as logo in the about dialog.
Glib::RefPtr< const Gdk::Paintable > | get_logo () const
| Returns the paintable displayed as logo in the about dialog.
void | set_logo (const Glib::RefPtr< const Gdk::Paintable > & logo)
| Sets the logo in the about dialog.
void | set_logo_default ()
| Sets the surface to be displayed as logo in the about dialog.
Glib::ustring | get_logo_icon_name () const
| Returns the icon name displayed as logo in the about dialog.
void | set_logo_icon_name (const Glib::ustring & icon_name)
| Sets the icon name to be displayed as logo in the about dialog.
bool | get_wrap_license () const
| Returns whether the license text in the about dialog is automatically wrapped.
void | set_wrap_license (bool wrap_license)
| Sets whether the license text in the about dialog should be automatically wrapped.
void | add_credit_section (const Glib::ustring & section_name, const std::vector< Glib::ustring > & people)
| Creates a new section in the "Credits" page.
Glib::PropertyProxy< Glib::ustring > | property_program_name ()
| The name of the program.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_program_name () const
| The name of the program.
Glib::PropertyProxy< Glib::ustring > | property_version ()
| The version of the program.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_version () const
| The version of the program.
Glib::PropertyProxy< Glib::ustring > | property_copyright ()
| Copyright information for the program.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_copyright () const
| Copyright information for the program.
Glib::PropertyProxy< Glib::ustring > | property_comments ()
| Comments about the program.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_comments () const
| Comments about the program.
Glib::PropertyProxy< Glib::ustring > | property_website ()
| The URL for the link to the website of the program.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_website () const
| The URL for the link to the website of the program.
Glib::PropertyProxy< Glib::ustring > | property_website_label ()
| The label for the link to the website of the program.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_website_label () const
| The label for the link to the website of the program.
Glib::PropertyProxy< Glib::ustring > | property_license ()
| The license of the program, as free-form text.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_license () const
| The license of the program, as free-form text.
Glib::PropertyProxy< License > | property_license_type ()
| The license of the program.
Glib::PropertyProxy_ReadOnly< License > | property_license_type () const
| The license of the program.
Glib::PropertyProxy< Glib::ustring > | property_system_information ()
| Information about the system on which the program is running.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_system_information () const
| Information about the system on which the program is running.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_authors ()
| The authors of the program, as a `nullptr`-terminated array of strings.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_authors () const
| The authors of the program, as a `nullptr`-terminated array of strings.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_documenters ()
| The people documenting the program, as a `nullptr`-terminated array of strings.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_documenters () const
| The people documenting the program, as a `nullptr`-terminated array of strings.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_translator_credits ()
| Credits to the translators.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_translator_credits () const
| Credits to the translators.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_artists ()
| The people who contributed artwork to the program, as a `nullptr`-terminated array of strings.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_artists () const
| The people who contributed artwork to the program, as a `nullptr`-terminated array of strings.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Paintable > > | property_logo ()
| A logo for the about box.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Paintable > > | property_logo () const
| A logo for the about box.
Glib::PropertyProxy< Glib::ustring > | property_logo_icon_name ()
| A named icon to use as the logo for the about box.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_logo_icon_name () const
| A named icon to use as the logo for the about box.
Glib::PropertyProxy< bool > | property_wrap_license ()
| Whether to wrap the text in the license dialog.
Glib::PropertyProxy_ReadOnly< bool > | property_wrap_license () const
| Whether to wrap the text in the license dialog.
Glib::SignalProxy< bool(const std::string &)> | signal_activate_link ()
Public Member Functions inherited from Gtk::Window
| Window (const Window &)=delete
Window & | operator= (const Window &)=delete
| ~Window () noexcept override
GtkWindow * | gobj ()
| Provides access to the underlying C GObject.
const GtkWindow * | gobj () const
| Provides access to the underlying C GObject.
| Window (Window && src) noexcept
Window & | operator= (Window && src) noexcept
| Window ()
Glib::PropertyProxy< Glib::ustring > | property_title ()
| The title of the window.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_title () const
| The title of the window.
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_startup_id ()
| A write-only property for setting window's startup notification identifier.
Glib::PropertyProxy< bool > | property_resizable ()
| If `true`, users can resize the window.
Glib::PropertyProxy_ReadOnly< bool > | property_resizable () const
| If `true`, users can resize the window.
Glib::PropertyProxy< bool > | property_modal ()
| If `true`, the window is modal.
Glib::PropertyProxy_ReadOnly< bool > | property_modal () const
| If `true`, the window is modal.
Glib::PropertyProxy< int > | property_default_width ()
| The default width of the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_width () const
| The default width of the window.
Glib::PropertyProxy< int > | property_default_height ()
| The default height of the window.
Glib::PropertyProxy_ReadOnly< int > | property_default_height () const
| The default height of the window.
Glib::PropertyProxy< bool > | property_destroy_with_parent ()
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy_ReadOnly< bool > | property_destroy_with_parent () const
| If this window should be destroyed when the parent is destroyed.
Glib::PropertyProxy< bool > | property_hide_on_close ()
| If this window should be hidden when the users clicks the close button.
Glib::PropertyProxy_ReadOnly< bool > | property_hide_on_close () const
| If this window should be hidden when the users clicks the close button.
Glib::PropertyProxy< bool > | property_mnemonics_visible ()
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy_ReadOnly< bool > | property_mnemonics_visible () const
| Whether mnemonics are currently visible in this window.
Glib::PropertyProxy< Glib::ustring > | property_icon_name ()
| Specifies the name of the themed icon to use as the window icon.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_icon_name () const
| Specifies the name of the themed icon to use as the window icon.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Display > > | property_display ()
| The display that will display this window.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Display > > | property_display () const
| The display that will display this window.
Glib::PropertyProxy_ReadOnly< bool > | property_is_active () const
| Whether the toplevel is the currently active window.
Glib::PropertyProxy< bool > | property_decorated ()
| Whether the window should have a frame (also known as decorations).
Glib::PropertyProxy_ReadOnly< bool > | property_decorated () const
| Whether the window should have a frame (also known as decorations).
Glib::PropertyProxy< Window * > | property_transient_for ()
| The transient parent of the window.
Glib::PropertyProxy_ReadOnly< Window * > | property_transient_for () const
| The transient parent of the window.
Glib::PropertyProxy< bool > | property_deletable ()
| Whether the window frame should have a close button.
Glib::PropertyProxy_ReadOnly< bool > | property_deletable () const
| Whether the window frame should have a close button.
Glib::PropertyProxy< Glib::RefPtr< Application > > | property_application ()
| The `Gtk::Application` associated with the window.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Application > > | property_application () const
| The `Gtk::Application` associated with the window.
Glib::PropertyProxy< bool > | property_focus_visible ()
| Whether 'focus rectangles' are currently visible in this window.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_visible () const
| Whether 'focus rectangles' are currently visible in this window.
Glib::PropertyProxy< bool > | property_maximized ()
| Whether the window is maximized.
Glib::PropertyProxy_ReadOnly< bool > | property_maximized () const
| Whether the window is maximized.
Glib::PropertyProxy< bool > | property_fullscreened ()
| Whether the window is fullscreen.
Glib::PropertyProxy_ReadOnly< bool > | property_fullscreened () const
| Whether the window is fullscreen.
Glib::PropertyProxy< Widget * > | property_default_widget ()
| The default widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_default_widget () const
| The default widget.
Glib::PropertyProxy< Widget * > | property_focus_widget ()
| The focus widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_focus_widget () const
| The focus widget.
Glib::PropertyProxy< Widget * > | property_child ()
| The child widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_child () const
| The child widget.
Glib::PropertyProxy< Widget * > | property_titlebar ()
| The titlebar widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_titlebar () const
| The titlebar widget.
Glib::PropertyProxy< bool > | property_handle_menubar_accel ()
| Whether the window frame should handle F10 for activating menubars.
Glib::PropertyProxy_ReadOnly< bool > | property_handle_menubar_accel () const
| Whether the window frame should handle F10 for activating menubars.
Glib::SignalProxy< void()> | signal_keys_changed ()
Glib::SignalProxy< bool()> | signal_close_request ()
void | set_title (const Glib::ustring & title)
| Sets the title of the `Gtk::Window`.
Glib::ustring | get_title () const
| Retrieves the title of the window.
void | set_startup_id (const Glib::ustring & startup_id)
| Sets the startup notification ID.
void | set_focus (Gtk::Widget & focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the window.
void | unset_focus ()
Widget * | get_focus ()
| Retrieves the current focused widget within the window.
const Widget * | get_focus () const
| Retrieves the current focused widget within the window.
void | set_default_widget (Gtk::Widget & default_widget)
| Sets the default widget.
void | unset_default_widget ()
Widget * | get_default_widget ()
| Returns the default widget for window.
const Widget * | get_default_widget () const
| Returns the default widget for window.
void | set_transient_for (Window & parent)
| Dialog windows should be set transient for the main application window they were spawned from.
void | unset_transient_for ()
| Unsets the current transient window.
Window * | get_transient_for ()
| Fetches the transient parent for this window.
const Window * | get_transient_for () const
| Fetches the transient parent for this window.
void | set_destroy_with_parent (bool setting=true)
| If setting is `true`, then destroying the transient parent of window will also destroy window itself.
bool | get_destroy_with_parent () const
| Returns whether the window will be destroyed with its transient parent.
void | destroy ()
| Drop the internal reference GTK holds on toplevel windows.
void | set_hide_on_close (bool setting=true)
| If setting is `true`, then clicking the close button on the window will not destroy it, but only hide it.
bool | get_hide_on_close () const
| Returns whether the window will be hidden when the close button is clicked.
void | set_mnemonics_visible (bool setting=true)
| Sets whether mnemonics are supposed to be visible.
bool | get_mnemonics_visible () const
| Gets whether mnemonics are supposed to be visible.
void | set_focus_visible (bool setting=true)
| Sets whether “focus rectangles” are supposed to be visible.
bool | get_focus_visible () const
| Gets whether “focus rectangles” are supposed to be visible.
void | set_resizable (bool resizable=true)
| Sets whether the user can resize a window.
bool | get_resizable () const
| Gets the value set by set_resizable().
void | set_display (const Glib::RefPtr< Gdk::Display > & display)
| Sets the `Gdk::Display` where the window is displayed.
bool | is_active () const
| Returns whether the window is part of the current active toplevel.
void | set_decorated (bool setting=true)
| Sets whether the window should be decorated.
bool | get_decorated () const
| Returns whether the window has been set to have decorations.
void | set_deletable (bool setting=true)
| Sets whether the window should be deletable.
bool | get_deletable () const
| Returns whether the window has been set to have a close button.
void | set_icon_name (const Glib::ustring & name)
| Sets the icon for the window from a named themed icon.
Glib::ustring | get_icon_name () const
| Returns the name of the themed icon for the window.
void | set_modal (bool modal=true)
| Sets a window modal or non-modal.
bool | get_modal () const
| Returns whether the window is modal.
void | present ()
| Presents a window to the user.
void | present (guint32 timestamp)
| Presents a window to the user in response to an user interaction.
void | minimize ()
| Asks to minimize the specified window.
void | unminimize ()
| Asks to unminimize the specified window.
void | maximize ()
| Asks to maximize window, so that it fills the screen.
void | unmaximize ()
| Asks to unmaximize window.
void | fullscreen ()
| Asks to place window in the fullscreen state.
void | unfullscreen ()
| Asks to remove the fullscreen state for window, and return to its previous state.
void | fullscreen_on_monitor (const Glib::RefPtr< Gdk::Monitor > & monitor)
| Asks to place window in the fullscreen state on the given monitor.
void | close ()
| Requests that the window is closed.
void | set_default_size (int width, int height)
| Sets the default size of a window.
void | get_default_size (int & width, int & height) const
| Gets the default size of the window.
Glib::RefPtr< WindowGroup > | get_group ()
| Returns the group for window.
Glib::RefPtr< const WindowGroup > | get_group () const
| Returns the group for window.
bool | has_group () const
| Returns whether window has an explicit window group.
Glib::RefPtr< Application > | get_application ()
| Gets the `Gtk::Application` associated with the window.
Glib::RefPtr< const Application > | get_application () const
| Gets the `Gtk::Application` associated with the window.
void | set_application (const Glib::RefPtr< Application > & application)
| Sets the Gtk::Application associated with the window.
void | unset_application ()
| Unsets the Application associated with the window.
void | set_child (Widget & child)
| Sets the child widget of window.
void | unset_child ()
Widget * | get_child ()
| Gets the child widget of window.
const Widget * | get_child () const
| Gets the child widget of window.
void | set_titlebar (Widget & titlebar)
| Sets a custom titlebar for window.
void | unset_titlebar ()
| Unsets the titlebar.
Widget * | get_titlebar ()
| Returns the custom titlebar that has been set with set_titlebar().
const Widget * | get_titlebar () const
| Returns the custom titlebar that has been set with set_titlebar().
bool | is_maximized () const
| Retrieves the current maximized state of window.
bool | is_fullscreen () const
| Retrieves the current fullscreen state of window.
void | set_handle_menubar_accel (bool handle_menubar_accel)
| Sets whether this window should react to F10 key presses by activating a menubar it contains.
bool | get_handle_menubar_accel () const
| Returns whether this window reacts to F10 key presses by activating a menubar it contains.
void | set_manage () override
| Used by Gtk::manage() and Gtk::make_managed().
Glib::RefPtr< Gdk::Display > | get_display ()
| Returns the display that this `Gtk::Root` is on.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Returns the display that this `Gtk::Root` is on.
Public Member Functions inherited from Gtk::Widget
| Widget (Widget && src) noexcept
Widget & | operator= (Widget && src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
| ~Widget () noexcept override
| Destroys the widget.
GtkWidget * | gobj ()
| Provides access to the underlying C GObject.
const GtkWidget * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget.
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget.
void | show ()
| Flags a widget to be displayed.
void | hide ()
| Reverses the effects of show().
void | queue_draw ()
| Schedules this widget to be redrawn in the paint phase of the current or the next frame.
void | queue_resize ()
| Flags a widget to have its size renegotiated.
void | queue_allocate ()
| Flags the widget for a rerun of the size_allocate_vfunc() function.
void | size_allocate (const Allocation & allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | measure (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size.
void | get_preferred_size (Requisition & minimum_size, Requisition & natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management.
void | set_layout_manager (const Glib::RefPtr< LayoutManager > & layout_manager)
| Sets the layout manager delegate instance that provides an implementation for measuring and allocating the children of widget.
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager().
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager used by widget.
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager used by widget.
bool | mnemonic_activate (bool group_cycling)
| Emits the signal_mnemonic_activate() signal.
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them.
void | set_can_focus (bool can_focus=true)
| Specifies whether the input focus can enter the widget or any of its children.
bool | get_can_focus () const
| Determines whether the input focus can enter widget or any of its children.
void | set_focusable (bool focusable=true)
| Specifies whether widget can own the input focus.
bool | get_focusable () const
| Determines whether widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
bool | grab_focus ()
| Causes widget to have the keyboard focus for the `Gtk::Window` it's inside.
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse.
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse.
void | set_can_target (bool can_target=true)
| Sets whether widget can be the target of pointer events.
bool | get_can_target () const
| Queries whether widget can be the target of pointer events.
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel.
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
void | set_name (const Glib::ustring & name)
| Sets a widgets name.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state.
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget.
bool | get_sensitive () const
| Returns the widget’s sensitivity.
bool | is_sensitive () const
| Returns the widget’s effective sensitivity.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible.
bool | is_drawable () const
| Determines whether widget can be drawn to.
bool | get_realized () const
| Determines whether widget is realized.
bool | get_mapped () const
| Whether the widget is mapped.
void | set_child_visible (bool visible=true)
| Sets whether widget should be mapped along with its parent.
bool | get_child_visible () const
| Gets the value set with set_child_visible().
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget.
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget.
Allocation | get_allocation () const
| Retrieves the widget’s location.
int | get_width () const
| Returns the content width of the widget.
int | get_height () const
| Returns the content height of the widget.
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget.
Widget * | get_parent ()
| Returns the parent widget of widget.
const Widget * | get_parent () const
| Returns the parent widget of widget.
Root * | get_root ()
| Returns the `Gtk::Root` widget of widget.
const Root * | get_root () const
| Returns the `Gtk::Root` widget of widget.
Native * | get_native ()
| Returns the nearest `Gtk::Native` ancestor of widget.
const Native * | get_native () const
| Returns the nearest `Gtk::Native` ancestor of widget.
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts.
bool | keynav_failed (DirectionType direction)
| Emits the `::keynav-failed` signal on the widget.
void | error_bell ()
| Notifies the user about an input-related error on this widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget.
void | get_size_request (int & width, int & height) const
| Gets the size request that was explicitly set for the widget using set_size_request().
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent.
double | get_opacity () const
| #Fetches the requested opacity for this widget.
void | set_overflow (Overflow overflow)
| Sets how widget treats content that is drawn outside the widget's content area.
Overflow | get_overflow () const
| Returns the widgets overflow value.
Widget * | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type.
const Widget * | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type.
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the `Gdk::Display` for the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the `Gdk::Display` for the toplevel window associated with this widget.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget.
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for widget.
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for widget.
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of widget.
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used.
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible.
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions.
Align | get_halign () const
| Gets the horizontal alignment of widget.
void | set_halign (Align align)
| Sets the horizontal alignment of widget.
Align | get_valign () const
| Gets the vertical alignment of widget.
void | set_valign (Align align)
| Sets the vertical alignment of widget.
int | get_margin_start () const
| Gets the start margin of widget.
void | set_margin_start (int margin)
| Sets the start margin of widget.
int | get_margin_end () const
| Gets the end margin of widget.
void | set_margin_end (int margin)
| Sets the end margin of widget.
int | get_margin_top () const
| Gets the top margin of widget.
void | set_margin_top (int margin)
| Sets the top margin of widget.
int | get_margin_bottom () const
| Gets the bottom margin of widget.
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget.
void | set_margin (int margin)
| Set all 4 margins to the same value.
bool | is_ancestor (Widget & ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers.
bool | translate_coordinates (Widget & dest_widget, double src_x, double src_y, double & dest_x, double & dest_y)
| Translate coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations.
bool | contains (double x, double y) const
| Tests if the point at ( x, y) is contained in widget.
Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of widget closest to the point ( x, y).
const Widget * | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of widget closest to the point ( x, y).
void | add_controller (const Glib::RefPtr< EventController > & controller)
| Adds controller to widget so that it will receive events.
void | remove_controller (const Glib::RefPtr< EventController > & controller)
| Removes controller from widget, so that it doesn't process events anymore.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new `Pango::Context` with the appropriate font map, font options, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a `Pango::Context` with the appropriate font map, font description, and base direction for this widget.
void | set_font_options (const Cairo::FontOptions & options)
| Sets the `cairo_font_options_t` used for Pango rendering in this widget.
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options().
Cairo::FontOptions | get_font_options () const
| Returns the `cairo_font_options_t` of widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring & text)
| Creates a new `Pango::Layout` with the appropriate font map, font description, and base direction for drawing text for this widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget.
TextDirection | get_direction () const
| Gets the reading direction for a particular widget.
void | set_cursor (const Glib::RefPtr< Gdk::Cursor > & cursor)
| Sets the cursor to be shown when pointer devices point towards widget.
void | set_cursor (const Glib::ustring & name={})
| Sets a named cursor to be shown when pointer devices point towards the widget.
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Queries the cursor set on widget.
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Queries the cursor set on widget.
std::vector< Widget * > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic.
std::vector< const Widget * > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic.
void | add_mnemonic_label (Widget & label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget & label)
| Removes a widget from the list of mnemonic labels for this widget.
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold.
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget.
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget.
void | set_parent (Widget & parent)
| Sets parent as the parent widget of widget.
void | unparent ()
| Dissociate widget from its parent.
void | map ()
| Causes a widget to be mapped if it isn’t already.
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located.
void | set_tooltip_text (const Glib::ustring & text)
| Sets text as the contents of the tooltip.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget.
void | set_tooltip_markup (const Glib::ustring & markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the `has-tooltip` property on widget to has_tooltip.
bool | get_has_tooltip () const
| Returns the current value of the `has-tooltip` property.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget.
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to widget.
guint | add_tick_callback (const SlotTick & slot)
| Queues an animation frame update and adds a callback to be called before each frame.
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback().
void | insert_action_group (const Glib::ustring & name, const Glib::RefPtr< Gio::ActionGroup > & group)
| Inserts group into widget.
void | remove_action_group (const Glib::ustring & name)
| Removes a group from the widget.
bool | activate_action (const Glib::ustring & name, const Glib::VariantBase & args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it.
void | activate_default ()
| Activates the `default.activate` action from widget.
void | set_font_map (const Glib::RefPtr< Pango::FontMap > & font_map)
| Sets the font map to use for Pango rendering.
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of widget.
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of widget.
Widget * | get_first_child ()
| Returns the widgets first child.
const Widget * | get_first_child () const
| Returns the widgets first child.
Widget * | get_last_child ()
| Returns the widgets last child.
const Widget * | get_last_child () const
| Returns the widgets last child.
Widget * | get_next_sibling ()
| Returns the widgets next sibling.
const Widget * | get_next_sibling () const
| Returns the widgets next sibling.
Widget * | get_prev_sibling ()
| Returns the widgets previous sibling.
const Widget * | get_prev_sibling () const
| Returns the widgets previous sibling.
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a `Gio::ListModel` to track the children of widget.
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a `Gio::ListModel` to track the children of widget.
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a `Gio::ListModel` to track the Gtk::EventControllers of widget.
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a `Gio::ListModel` to track the Gtk::EventControllers of widget.
void | insert_after (Widget & parent, const Widget & previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling.
void | insert_before (Widget & parent, const Widget & next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling.
void | insert_at_start (Widget & parent)
| Inserts the Widget at the beginning of the child widget list of parent.
void | insert_at_end (Widget & parent)
| Inserts the Widget at the end of the child widget list of parent.
void | snapshot_child (Widget & child, const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Snapshot the a child of widget.
bool | should_layout () const
| Returns whether widget should contribute to the measuring and allocation of its parent.
Glib::ustring | get_css_name () const
| Returns the CSS name that is used for self.
void | add_css_class (const Glib::ustring & css_class)
| Adds a style class to widget.
void | remove_css_class (const Glib::ustring & css_class)
| Removes a style from widget.
bool | has_css_class (const Glib::ustring & css_class) const
| Returns whether css_class is currently applied to widget.
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to widget.
void | set_css_classes (const std::vector< Glib::ustring > & classes)
| Clear all style classes applied to widget and replace them with classes.
Gdk::RGBA | get_color () const
| Gets the current foreground color for the widget's CSS style.
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< void()> | signal_destroy ()
| Emitted during the dispose phase.
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip > &)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy_ReadOnly< Widget * > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly< Root * > | property_root () const
| The `Gtk::Root` widget of the widget tree containing this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget.
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events.
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events.
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse.
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus.
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup.
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string.
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space.
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space.
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally.
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally.
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the `hexpand` property.
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the `hexpand` property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the `vexpand` property.
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the `vexpand` property.
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget.
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget.
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated.
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree.
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget.
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget.
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The `Gtk::LayoutManager` instance to use to compute the preferred size of the widget, and allocate its children.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The `Gtk::LayoutManager` instance to use to compute the preferred size of the widget, and allocate its children.
Public Member Functions inherited from Gtk::Object
| Object (Object && src) noexcept
Object & | operator= (Object && src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible && src) noexcept
Accessible & | operator= (Accessible && src) noexcept
| ~Accessible () noexcept override
GtkAccessible * | gobj ()
| Provides access to the underlying C GObject.
const GtkAccessible * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< ATContext > | get_at_context ()
| Retrieves the accessible implementation for the given `Gtk::Accessible`.
Glib::RefPtr< const ATContext > | get_at_context () const
| Retrieves the accessible implementation for the given `Gtk::Accessible`.
bool | get_platform_state (PlatformState state) const
| Query a platform state, such as focus.
Glib::RefPtr< Accessible > | get_accessible_parent ()
| Retrieves the accessible parent for an accessible object.
Glib::RefPtr< const Accessible > | get_accessible_parent () const
| Retrieves the accessible parent for an accessible object.
void | set_accessible_parent (const Glib::RefPtr< Accessible > & parent, const Glib::RefPtr< Accessible > & next_sibling)
| Sets the parent and sibling of an accessible object.
Glib::RefPtr< Accessible > | get_first_accessible_child ()
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< const Accessible > | get_first_accessible_child () const
| Retrieves the first accessible child of an accessible object.
Glib::RefPtr< Accessible > | get_next_accessible_sibling ()
| Retrieves the next accessible sibling of an accessible object.
Glib::RefPtr< const Accessible > | get_next_accessible_sibling () const
| Retrieves the next accessible sibling of an accessible object.
void | update_next_accessible_sibling (const Glib::RefPtr< Accessible > & new_sibling)
| Updates the next accessible sibling of self.
bool | get_bounds (int & x, int & y, int & width, int & height) const
| Queries the coordinates and dimensions of this accessible.
Role | get_accessible_role () const
| Retrieves the accessible role of an accessible object.
void | update_state (State state, const Glib::ValueBase & value)
| Updates an accessible state.
void | update_property (Property property, const Glib::ValueBase & value)
| Updates an accessible property.
void | update_relation (Relation relation, const Glib::ValueBase & value)
| Updates an accessible relation.
void | reset_state (State state)
| Resets the accessible state to its default value.
void | reset_property (Property property)
| Resets the accessible property to its default value.
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value.
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given `Gtk::Accessible` implementation.
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given `Gtk::Accessible` implementation.
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable && src) noexcept
Buildable & | operator= (Buildable && src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget && src) noexcept
ConstraintTarget & | operator= (ConstraintTarget && src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget * | gobj ()
| Provides access to the underlying C GObject.
const GtkConstraintTarget * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Gtk::Native
| Native (Native && src) noexcept
Native & | operator= (Native && src) noexcept
| ~Native () noexcept override
GtkNative * | gobj ()
| Provides access to the underlying C GObject.
const GtkNative * | gobj () const
| Provides access to the underlying C GObject.
void | realize ()
| Realizes a `Gtk::Native`.
void | unrealize ()
| Unrealizes a `Gtk::Native`.
Glib::RefPtr< Gdk::Surface > | get_surface ()
| Returns the surface of this `Gtk::Native`.
Glib::RefPtr< const Gdk::Surface > | get_surface () const
| Returns the surface of this `Gtk::Native`.
void | get_surface_transform (double & x, double & y)
| Retrieves the surface transform of self.
Public Member Functions inherited from Gtk::ShortcutManager
| ShortcutManager (ShortcutManager && src) noexcept
ShortcutManager & | operator= (ShortcutManager && src) noexcept
| ~ShortcutManager () noexcept override
GtkShortcutManager * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutManager * | gobj () const
| Provides access to the underlying C GObject.
Public Member Functions inherited from Gtk::Root
| Root (Root && src) noexcept
Root & | operator= (Root && src) noexcept
| ~Root () noexcept override
GtkRoot * | gobj ()
| Provides access to the underlying C GObject.
const GtkRoot * | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Gdk::Display > | get_display ()
| Returns the display that this `Gtk::Root` is on.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Returns the display that this `Gtk::Root` is on.
void | set_focus (Widget & focus)
| If focus is not the current focus widget, and is focusable, sets it as the focus widget for the root.
void | unset_focus ()
| Unsets the focus widget for the root.
Widget * | get_focus ()
| Retrieves the current focused widget within the root.
const Widget * | get_focus () const
| Retrieves the current focused widget within the root.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Window
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_icon_name (const Glib::ustring & name)
| Sets an icon to be used as fallback.
static Glib::ustring | get_default_icon_name ()
| Returns the fallback icon name for windows.
static void | set_auto_startup_notification (bool setting=true)
| Sets whether the window should request startup notification.
static Glib::RefPtr< Gio::ListModel > | get_toplevels ()
| Returns a list of all existing toplevel windows.
static std::vector< Window * > | list_toplevels ()
| Returns a list of all existing toplevel windows.
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets.
static TextDirection | get_default_direction ()
| Obtains the current default reading direction.
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Native
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Native * | get_for_surface (const Glib::RefPtr< const Gdk::Surface > & surface)
| Finds the `Gtk::Native` associated with the surface.
Static Public Member Functions inherited from Gtk::ShortcutManager
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Root
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Related Functions
(Note that these are not member functions.)
Gtk::AboutDialog * | wrap (GtkAboutDialog * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Window
Gtk::Window * | wrap (GtkWindow * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Widget
Gtk::Widget * | wrap (GtkWidget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Native
Glib::RefPtr< Gtk::Native > | wrap (GtkNative * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::ShortcutManager
Glib::RefPtr< Gtk::ShortcutManager > | wrap (GtkShortcutManager * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Root
Glib::RefPtr< Gtk::Root > | wrap (GtkRoot * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Widget
using | SlotTick = sigc::slot< bool(const Glib::RefPtr< Gdk::FrameClock > &)>
| Callback type for adding a function to update animations.
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from Gtk::Accessible
enum class | Role { Role::ALERT , Role::ALERT_DIALOG , Role::BANNER , Role::BUTTON , Role::CAPTION , Role::CELL , Role::CHECKBOX , Role::COLUMN_HEADER , Role::COMBO_BOX , Role::COMMAND , Role::COMPOSITE , Role::DIALOG , Role::DOCUMENT , Role::FEED , Role::FORM , Role::GENERIC , Role::GRID , Role::GRID_CELL , Role::GROUP , Role::HEADING , Role::IMG , Role::INPUT , Role::LABEL , Role::LANDMARK , Role::LEGEND , Role::LINK , Role::LIST , Role::LIST_BOX , Role::LIST_ITEM , Role::LOG , Role::MAIN , Role::MARQUEE , Role::MATH , Role::METER , Role::MENU , Role::MENU_BAR , Role::MENU_ITEM , Role::MENU_ITEM_CHECKBOX , Role::MENU_ITEM_RADIO , Role::NAVIGATION , Role::NONE , Role::NOTE , Role::OPTION , Role::PRESENTATION , Role::PROGRESS_BAR , Role::RADIO , Role::RADIO_GROUP , Role::RANGE , Role::REGION , Role::ROW , Role::ROW_GROUP , Role::ROW_HEADER , Role::SCROLLBAR , Role::SEARCH , Role::SEARCH_BOX , Role::SECTION , Role::SECTION_HEAD , Role::SELECT , Role::SEPARATOR , Role::SLIDER , Role::SPIN_BUTTON , Role::STATUS , Role::STRUCTURE , Role::SWITCH , Role::TAB , Role::TABLE , Role::TAB_LIST , Role::TAB_PANEL , Role::TEXT_BOX , Role::TIME , Role::TIMER , Role::TOOLBAR , Role::TOOLTIP , Role::TREE , Role::TREE_GRID , Role::TREE_ITEM , Role::WIDGET , Role::WINDOW , Role::TOGGLE_BUTTON }
| The accessible role for a Gtk::Accessible implementation. More...
enum class | State { State::BUSY , State::CHECKED , State::DISABLED , State::EXPANDED , State::HIDDEN , State::INVALID , State::PRESSED , State::SELECTED }
| The possible accessible states of a Gtk::Accessible. More...
enum class | Property { Property::AUTOCOMPLETE , Property::DESCRIPTION , Property::HAS_POPUP , Property::KEY_SHORTCUTS , Property::LABEL , Property::LEVEL , Property::MODAL , Property::MULTI_LINE , Property::MULTI_SELECTABLE , Property::ORIENTATION , Property::PLACEHOLDER , Property::READ_ONLY , Property::REQUIRED , Property::ROLE_DESCRIPTION , Property::SORT , Property::VALUE_MAX , Property::VALUE_MIN , Property::VALUE_NOW , Property::VALUE_TEXT }
| The possible accessible properties of a Gtk::Accessible. More...
enum class | Relation { Relation::ACTIVE_DESCENDANT , Relation::COL_COUNT , Relation::COL_INDEX , Relation::COL_INDEX_TEXT , Relation::COL_SPAN , Relation::CONTROLS , Relation::DESCRIBED_BY , Relation::DETAILS , Relation::ERROR_MESSAGE , Relation::FLOW_TO , Relation::LABELLED_BY , Relation::OWNS , Relation::POS_IN_SET , Relation::ROW_COUNT , Relation::ROW_INDEX , Relation::ROW_INDEX_TEXT , Relation::ROW_SPAN , Relation::SET_SIZE }
| The possible accessible relations of a Gtk::Accessible. More...
enum class | PlatformState { PlatformState::FOCUSABLE , PlatformState::FOCUSED , PlatformState::ACTIVE }
| The various platform states which can be queried using Gtk::Accessible::get_platform_state(). More...
Protected Member Functions inherited from Gtk::Window
void | on_window_hide ()
void | destroy_ ()
virtual void | on_keys_changed ()
| This is a default handler for the signal signal_keys_changed().
virtual bool | on_close_request ()
| This is a default handler for the signal signal_close_request().
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int & minimum, int & natural, int & minimum_baseline, int & natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget * child)
| Sets the focused child of widget.
virtual void | compute_expand_vfunc (bool & hexpand_p, bool & vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot > & snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget.
void | unrealize ()
| Causes a widget to be unrealized (frees all GDK resources associated with the widget).
void | realize_if_needed ()
void | set_focus_child (Widget & child)
| Set child as the current focus child of widget.
void | unset_focus_child ()
| Unsets the focus child of the widget.
Widget * | get_focus_child ()
| Returns the current focus child of widget.
const Widget * | get_focus_child () const
| Returns the current focus child of widget.
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip > & tooltip)
| This is a default handler for the signal signal_query_tooltip().
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::Native
| Native ()
| You should derive from this class to use it.
Protected Member Functions inherited from Gtk::ShortcutManager
| ShortcutManager ()
| You should derive from this class to use it.
virtual void | add_controller_vfunc (const Glib::RefPtr< ShortcutController > & controller)
virtual void | remove_controller_vfunc (const Glib::RefPtr< ShortcutController > & controller)
Protected Member Functions inherited from Gtk::Root
| Root ()
| You should derive from this class to use it.

## Detailed Description

The AboutDialog offers a simple way to display information about a program like its logo, name, copyright, website and license.

It is also possible to give credits to the authors, documenters, translators and artists who have worked on the program. An about dialog is typically opened when the user selects the About option from the Help menu. All parts of the dialog are optional.

About dialogs often contain links and email addresses. Gtk::AboutDialog displays these as clickable links. By default, it calls Gtk::FileLauncher::launch() when a user clicks one. The behaviour can be overridden with the activate_link signal. Email addresses in the authors, documenters and artists properties are recognized by looking for <user@host>, URLs are recognized by looking for http://url, with the URL extending to the next space, tab or line break.

An AboutDialog looks like this:

## Constructor & Destructor Documentation

## ◆ AboutDialog() [1/4]

Gtk::AboutDialog::AboutDialog | ( | AboutDialog && | src | ) |
| noexcept

## ◆ AboutDialog() [2/4]

Gtk::AboutDialog::AboutDialog | ( | const AboutDialog & |  | ) |
| delete

## ◆ ~AboutDialog()

Gtk::AboutDialog::~AboutDialog | ( |  | ) |
| overridenoexcept

## ◆ AboutDialog() [3/4]

Gtk::AboutDialog::AboutDialog | ( |  | ) |

## ◆ AboutDialog() [4/4]

Gtk::AboutDialog::AboutDialog | ( | bool | use_header_bar | ) |
| explicit

Constructor.

Parameters

  use_header_bar | `true` if the dialog shall use a HeaderBar for action buttons instead of the action-area.

Since gtkmm 3.24:

## Member Function Documentation

## ◆ add_credit_section()

void Gtk::AboutDialog::add_credit_section | ( | const Glib::ustring & | section_name,
|  | const std::vector< Glib::ustring > & | people
| ) |  |

Creates a new section in the "Credits" page.

Parameters

  section_name | The name of the section.
  people | The people who belong to that section.

## ◆ get_artists()

std::vector< Glib::ustring > Gtk::AboutDialog::get_artists | ( |  | ) | const

Returns the names of the artists which are displayed in the credits page.

Returns
  A `nullptr`-terminated string array containing the artists.

## ◆ get_authors()

std::vector< Glib::ustring > Gtk::AboutDialog::get_authors | ( |  | ) | const

Returns the names of the authors which are displayed in the credits page.

Returns
  A `nullptr`-terminated string array containing the authors.

## ◆ get_comments()

Glib::ustring Gtk::AboutDialog::get_comments | ( |  | ) | const

Returns the comments string.

Returns
  The comments.

## ◆ get_copyright()

Glib::ustring Gtk::AboutDialog::get_copyright | ( |  | ) | const

Returns the copyright string.

Returns
  The copyright string.

## ◆ get_documenters()

std::vector< Glib::ustring > Gtk::AboutDialog::get_documenters | ( |  | ) | const

Returns the name of the documenters which are displayed in the credits page.

Returns
  A `nullptr`-terminated string array containing the documenters.

## ◆ get_license()

Glib::ustring Gtk::AboutDialog::get_license | ( |  | ) | const

Returns the license information.

Returns
  The license information.

## ◆ get_license_type()

License Gtk::AboutDialog::get_license_type | ( |  | ) | const

Retrieves the license type.

Returns
  A Gtk::License value.

## ◆ get_logo() [1/2]

Glib::RefPtr< Gdk::Paintable > Gtk::AboutDialog::get_logo | ( |  | ) |

Returns the paintable displayed as logo in the about dialog.

Returns
  The paintable displayed as logo or `nullptr` if the logo is unset or has been set via set_logo_icon_name().

## ◆ get_logo() [2/2]

Glib::RefPtr< const Gdk::Paintable > Gtk::AboutDialog::get_logo | ( |  | ) | const

Returns the paintable displayed as logo in the about dialog.

Returns
  The paintable displayed as logo or `nullptr` if the logo is unset or has been set via set_logo_icon_name().

## ◆ get_logo_icon_name()

Glib::ustring Gtk::AboutDialog::get_logo_icon_name | ( |  | ) | const

Returns the icon name displayed as logo in the about dialog.

Returns
  The icon name displayed as logo, or `nullptr` if the logo has been set via set_logo().

## ◆ get_program_name()

Glib::ustring Gtk::AboutDialog::get_program_name | ( |  | ) | const

Returns the program name displayed in the about dialog.

Returns
  The program name.

## ◆ get_system_information()

Glib::ustring Gtk::AboutDialog::get_system_information | ( |  | ) | const

Returns the system information that is shown in the about dialog.

Returns
  The system information.

## ◆ get_translator_credits()

Glib::ustring Gtk::AboutDialog::get_translator_credits | ( |  | ) | const

Returns the translator credits string which is displayed in the credits page.

Returns
  The translator credits string.

## ◆ get_type()

static GType Gtk::AboutDialog::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_version()

Glib::ustring Gtk::AboutDialog::get_version | ( |  | ) | const

Returns the version string.

Returns
  The version string.

## ◆ get_website()

Glib::ustring Gtk::AboutDialog::get_website | ( |  | ) | const

Returns the website URL.

Returns
  The website URL.

## ◆ get_website_label()

Glib::ustring Gtk::AboutDialog::get_website_label | ( |  | ) | const

Returns the label used for the website link.

Returns
  The label used for the website link.

## ◆ get_wrap_license()

bool Gtk::AboutDialog::get_wrap_license | ( |  | ) | const

Returns whether the license text in the about dialog is automatically wrapped.

Returns
  `true` if the license text is wrapped.

## ◆ gobj() [1/2]

GtkAboutDialog * Gtk::AboutDialog::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkAboutDialog * Gtk::AboutDialog::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

AboutDialog & Gtk::AboutDialog::operator= | ( | AboutDialog && | src | ) |
| noexcept

## ◆ operator=() [2/2]

AboutDialog & Gtk::AboutDialog::operator= | ( | const AboutDialog & |  | ) |
| delete

## ◆ property_artists() [1/2]

Glib::PropertyProxy< std::vector< Glib::ustring > > Gtk::AboutDialog::property_artists | ( |  | ) |

The people who contributed artwork to the program, as a `nullptr`-terminated array of strings.

Each string may contain email addresses and URLs, which will be displayed as links.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_artists() [2/2]

Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > Gtk::AboutDialog::property_artists | ( |  | ) | const

The people who contributed artwork to the program, as a `nullptr`-terminated array of strings.

Each string may contain email addresses and URLs, which will be displayed as links.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_authors() [1/2]

Glib::PropertyProxy< std::vector< Glib::ustring > > Gtk::AboutDialog::property_authors | ( |  | ) |

The authors of the program, as a `nullptr`-terminated array of strings.

Each string may contain email addresses and URLs, which will be displayed as links, see the introduction for more details.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_authors() [2/2]

Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > Gtk::AboutDialog::property_authors | ( |  | ) | const

The authors of the program, as a `nullptr`-terminated array of strings.

Each string may contain email addresses and URLs, which will be displayed as links, see the introduction for more details.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_comments() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_comments | ( |  | ) |

Comments about the program.

This string is displayed in a label in the main dialog, thus it should be a short explanation of the main purpose of the program, not a detailed list of features.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_comments() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_comments | ( |  | ) | const

Comments about the program.

This string is displayed in a label in the main dialog, thus it should be a short explanation of the main purpose of the program, not a detailed list of features.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_copyright() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_copyright | ( |  | ) |

Copyright information for the program.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_copyright() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_copyright | ( |  | ) | const

Copyright information for the program.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_documenters() [1/2]

Glib::PropertyProxy< std::vector< Glib::ustring > > Gtk::AboutDialog::property_documenters | ( |  | ) |

The people documenting the program, as a `nullptr`-terminated array of strings.

Each string may contain email addresses and URLs, which will be displayed as links, see the introduction for more details.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_documenters() [2/2]

Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > Gtk::AboutDialog::property_documenters | ( |  | ) | const

The people documenting the program, as a `nullptr`-terminated array of strings.

Each string may contain email addresses and URLs, which will be displayed as links, see the introduction for more details.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_license() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_license | ( |  | ) |

The license of the program, as free-form text.

This string is displayed in a text view in a secondary dialog, therefore it is fine to use a long multi-paragraph text. Note that the text is only wrapped in the text view if the "wrap-license" property is set to `true`; otherwise the text itself must contain the intended linebreaks.

When setting this property to a non-`nullptr` value, the property_license_type() property is set to `Gtk::License::CUSTOM` as a side effect.

The text may contain links in this format `<http://www.some.place/>` and email references in the form `<mail-to @a some.body>`, and these will be converted into clickable links.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_license() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_license | ( |  | ) | const

The license of the program, as free-form text.

This string is displayed in a text view in a secondary dialog, therefore it is fine to use a long multi-paragraph text. Note that the text is only wrapped in the text view if the "wrap-license" property is set to `true`; otherwise the text itself must contain the intended linebreaks.

When setting this property to a non-`nullptr` value, the property_license_type() property is set to `Gtk::License::CUSTOM` as a side effect.

The text may contain links in this format `<http://www.some.place/>` and email references in the form `<mail-to @a some.body>`, and these will be converted into clickable links.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_license_type() [1/2]

Glib::PropertyProxy< License > Gtk::AboutDialog::property_license_type | ( |  | ) |

The license of the program.

The `Gtk::AboutDialog` will automatically fill out a standard disclaimer and link the user to the appropriate online resource for the license text.

If `Gtk::License::UNKNOWN` is used, the link used will be the same specified in the property_website() property.

If `Gtk::License::CUSTOM` is used, the current contents of the property_license() property are used.

For any other Gtk::License value, the contents of the property_license() property are also set by this property as a side effect.

Default value: Gtk::License::UNKNOWN

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_license_type() [2/2]

Glib::PropertyProxy_ReadOnly< License > Gtk::AboutDialog::property_license_type | ( |  | ) | const

The license of the program.

The `Gtk::AboutDialog` will automatically fill out a standard disclaimer and link the user to the appropriate online resource for the license text.

If `Gtk::License::UNKNOWN` is used, the link used will be the same specified in the property_website() property.

If `Gtk::License::CUSTOM` is used, the current contents of the property_license() property are used.

For any other Gtk::License value, the contents of the property_license() property are also set by this property as a side effect.

Default value: Gtk::License::UNKNOWN

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_logo() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Paintable > > Gtk::AboutDialog::property_logo | ( |  | ) |

A logo for the about box.

If it is `nullptr`, the default window icon set with Gtk::Window::set_default_icon_name() will be used.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_logo() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Paintable > > Gtk::AboutDialog::property_logo | ( |  | ) | const

A logo for the about box.

If it is `nullptr`, the default window icon set with Gtk::Window::set_default_icon_name() will be used.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_logo_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_logo_icon_name | ( |  | ) |

A named icon to use as the logo for the about box.

This property overrides the property_logo() property.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_logo_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_logo_icon_name | ( |  | ) | const

A named icon to use as the logo for the about box.

This property overrides the property_logo() property.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_program_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_program_name | ( |  | ) |

The name of the program.

If this is not set, it defaults to the value returned by `Glib::get_application_name()`.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_program_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_program_name | ( |  | ) | const

The name of the program.

If this is not set, it defaults to the value returned by `Glib::get_application_name()`.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_system_information() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_system_information | ( |  | ) |

Information about the system on which the program is running.

This information is displayed in a separate page, therefore it is fine to use a long multi-paragraph text. Note that the text should contain the intended linebreaks.

The text may contain links in this format `<http://www.some.place/>` and email references in the form `<mail-to @a some.body>`, and these will be converted into clickable links.

Since gtkmm 3.92:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_system_information() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_system_information | ( |  | ) | const

Information about the system on which the program is running.

This information is displayed in a separate page, therefore it is fine to use a long multi-paragraph text. Note that the text should contain the intended linebreaks.

The text may contain links in this format `<http://www.some.place/>` and email references in the form `<mail-to @a some.body>`, and these will be converted into clickable links.

Since gtkmm 3.92:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_translator_credits() [1/2]

Glib::PropertyProxy< std::vector< Glib::ustring > > Gtk::AboutDialog::property_translator_credits | ( |  | ) |

Credits to the translators.

This string should be marked as translatable.

The string may contain email addresses and URLs, which will be displayed as links, see the introduction for more details.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_translator_credits() [2/2]

Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > Gtk::AboutDialog::property_translator_credits | ( |  | ) | const

Credits to the translators.

This string should be marked as translatable.

The string may contain email addresses and URLs, which will be displayed as links, see the introduction for more details.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_version() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_version | ( |  | ) |

The version of the program.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_version() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_version | ( |  | ) | const

The version of the program.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_website() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_website | ( |  | ) |

The URL for the link to the website of the program.

This should be a string starting with `http://` or `https://`.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_website() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_website | ( |  | ) | const

The URL for the link to the website of the program.

This should be a string starting with `http://` or `https://`.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_website_label() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::AboutDialog::property_website_label | ( |  | ) |

The label for the link to the website of the program.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_website_label() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::AboutDialog::property_website_label | ( |  | ) | const

The label for the link to the website of the program.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_license() [1/2]

Glib::PropertyProxy< bool > Gtk::AboutDialog::property_wrap_license | ( |  | ) |

Whether to wrap the text in the license dialog.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_license() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::AboutDialog::property_wrap_license | ( |  | ) | const

Whether to wrap the text in the license dialog.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_artists()

void Gtk::AboutDialog::set_artists | ( | const std::vector< Glib::ustring > & | artists | ) |

Sets the names of the artists to be displayed in the "Credits" page.

Parameters

  artists | The authors of the artwork of the application.

## ◆ set_authors()

void Gtk::AboutDialog::set_authors | ( | const std::vector< Glib::ustring > & | authors | ) | const

Sets the names of the authors which are displayed in the "Credits" page of the about dialog.

Parameters

  authors | The authors of the application.

## ◆ set_comments()

void Gtk::AboutDialog::set_comments | ( | const Glib::ustring & | comments | ) |

Sets the comments string to display in the about dialog.

This should be a short string of one or two lines.

Parameters

  comments | A comments string.

## ◆ set_copyright()

void Gtk::AboutDialog::set_copyright | ( | const Glib::ustring & | copyright | ) |

Sets the copyright string to display in the about dialog.

This should be a short string of one or two lines.

Parameters

  copyright | The copyright string.

## ◆ set_documenters()

void Gtk::AboutDialog::set_documenters | ( | const std::vector< Glib::ustring > & | documenters | ) |

Sets the names of the documenters which are displayed in the "Credits" page.

Parameters

  documenters | The authors of the documentation of the application.

## ◆ set_license()

void Gtk::AboutDialog::set_license | ( | const Glib::ustring & | license | ) |

Sets the license information to be displayed in the secondary license dialog.

If license is an empty string, the license button is hidden.

Since gtkmm 2.6:

Parameters

  license | The license information.

## ◆ set_license_type()

void Gtk::AboutDialog::set_license_type | ( | License | license_type | ) |

Sets the license of the application showing the about dialog from a list of known licenses.

This function overrides the license set using set_license().

Parameters

  license_type | The type of license.

## ◆ set_logo()

void Gtk::AboutDialog::set_logo | ( | const Glib::RefPtr< const Gdk::Paintable > & | logo | ) |

Sets the logo in the about dialog.

Parameters

  logo | A `Gdk::Paintable`.

## ◆ set_logo_default()

void Gtk::AboutDialog::set_logo_default | ( |  | ) |

Sets the surface to be displayed as logo in the about dialog.

The logo is set to the default window icon set with Gtk::Window::set_default_icon() or Gtk::Window::set_default_icon_list().

Since gtkmm 3.4:

## ◆ set_logo_icon_name()

void Gtk::AboutDialog::set_logo_icon_name | ( | const Glib::ustring & | icon_name | ) |

Sets the icon name to be displayed as logo in the about dialog.

Parameters

  icon_name | An icon name.

## ◆ set_program_name()

void Gtk::AboutDialog::set_program_name | ( | const Glib::ustring & | name | ) |

Sets the name to display in the about dialog.

If `name` is not set, the string returned by `Glib::get_application_name()` is used.

Parameters

  name | The program name.

## ◆ set_system_information()

void Gtk::AboutDialog::set_system_information | ( | const Glib::ustring & | system_information | ) |

Sets the system information to be displayed in the about dialog.

If system_information is an empty string, the system information tab is hidden.

See Gtk::Aboutdialog::property_system_information().

Since gtkmm 3.92:

Parameters

  system_information | System information.

## ◆ set_translator_credits()

void Gtk::AboutDialog::set_translator_credits | ( | const Glib::ustring & | translator_credits | ) |

Sets the translator credits string which is displayed in the credits page.

The intended use for this string is to display the translator of the language which is currently used in the user interface. Using `gettext()`, a simple way to achieve that is to mark the string for translation:

[C example ellipted]

It is a good idea to use the customary `msgid` “translator-credits” for this purpose, since translators will already know the purpose of that `msgid`, and since `Gtk::AboutDialog` will detect if “translator-credits” is untranslated and omit translator credits.

Parameters

  translator_credits | The translator credits.

## ◆ set_version()

void Gtk::AboutDialog::set_version | ( | const Glib::ustring & | version | ) |

Sets the version string to display in the about dialog.

Parameters

  version | The version string.

## ◆ set_website()

void Gtk::AboutDialog::set_website | ( | const Glib::ustring & | website | ) |

Sets the URL to use for the website link.

Parameters

  website | A URL string starting with `http://`.

## ◆ set_website_label()

void Gtk::AboutDialog::set_website_label | ( | const Glib::ustring & | website_label | ) |

Sets the label to be used for the website link.

Parameters

  website_label | The label used for the website link.

## ◆ set_wrap_license()

void Gtk::AboutDialog::set_wrap_license | ( | bool | wrap_license | ) |

Sets whether the license text in the about dialog should be automatically wrapped.

Parameters

  wrap_license | Whether to wrap the license.

## ◆ signal_activate_link()

Glib::SignalProxy< bool(const std::string &)> Gtk::AboutDialog::signal_activate_link | ( |  | ) |

Slot Prototype:
  `bool on_my_activate_link(const std::string& uri)`

Flags: Run Last

Emitted every time a URL is activated.

Applications may connect to it to override the default behaviour, which is to call Gtk::FileLauncher::launch().

Parameters

  uri | The URI that is activated.

Returns
  `true` if the link has been activated.

## Friends And Related Function Documentation

## ◆ wrap()

Gtk::AboutDialog * wrap | ( | GtkAboutDialog * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.